Page MenuHomePhabricator

Efl.Text.Format interface
Closed, ResolvedPublic

Description

This interface will cover the format of the text object.
Efl.Canvas.Text will implement it.

// src/lib/efl/interfaces/efl_text_format.eo

@property ellipsis {
   [[Ellipsis value (number from -1.0 to 1.0)]]
   values
   {
      value: double;
   }
}

enum Efl.Text.Format.Wrap {
   [[Wrap mode of the text (not in effect if not multiline)]]
   none,
   char,
   word,
   mixed,
   hyphenation
}

@property wrap {
   [[Wrap mode for use in the text]]
   values {
      wrap: Efl.Text.Wrap;
   }
}

@property multiline {
   [[Multiline is enabled or not]]
   values {
      enabled: bool;
   }
}

@property halign {
   [[Horizontal alignment of text (number from 0.0 to 1.0)]]
   values
   {
      value: double;
   }
}

@property valign {
   [[Vertical alignment of text (number from -1.0 to 1.0)]]
   values
   {
      value: double;
   }
}

@property linegap {
   values
   {
      value: double;
   }
}

@property linegaprel {
   values
   {
      value: double;
   }
}

@property tabstops {
   values
   {
      value: int;
   }
}

@property password {
   [[Whether text is a password]]
   values
   {
      enabled: bool;
   }
}
jpeg added a subscriber: jpeg.May 16 2017, 9:28 PM

See T5329 as Elm.Wrap.Type is still in that file for now.

jpeg assigned this task to herdsman.Jul 11 2017, 10:20 PM
jpeg triaged this task as Normal priority.

See T5301

zmike added a project: efl.Aug 22 2017, 3:37 PM
bu5hm4n added a project: Restricted Project.Jun 11 2018, 2:53 AM
zmike edited projects, added Restricted Project; removed efl.Jun 11 2018, 6:57 AM
bu5hm4n edited projects, added efl: widgets; removed Restricted Project.Jun 11 2018, 9:15 AM
Herald closed this task as Resolved. · View Herald TranscriptJan 22 2019, 9:48 AM

Ho Ho Ho! This issue was fixed by Santa!